Hatena::ブログ(Diary)

万年素人からGeekへの道 このページをアンテナに追加 RSSフィード Twitter

2014/8/19に移行した→ 万年素人からHackerへの道
 | 

2014-02-08 Saturday

Node.jsの設定でN/A version is not installed yet

ターミナルの起動時に

N/A version is not installed yet

エラーが以前から出ていた。

おそらく、

http://qiita.com/dribble13/items/e895208727c85ef9bc52

からそのままコピペしていた。

.zshrcに記載していた

nvm use default

が原因のようだ。

※僕はzsh使ってる。

defaultにエイリアスを貼ってないのが原因。

nvm alias default v0.11.10

のように自分が使っている。バージョンとdefaultにエイリアスを貼ったら直った。

自分Node.jsバージョンを調べるには、

$nvm ls

v0.11.0
v0.11.10
current: 	v0.11

とやろう。

$ nvm versoin

  v0.11.10

だと今使用しているのしか出ない。

はてなユーザーのみコメントできます。はてなへログインもしくは新規登録をおこなってください。

トラックバック - http://d.hatena.ne.jp/shinriyo/20140208/p1
 |